package Wordsplit;

#=============================================================================
# Copyright (C) 1998-2002, Matti Tukiainen, http://ktmatu.com/mt/
# All rights reserved.
#
# This file is part of Relax. 
#
# Relax is distributed with NO WARRANTY OF ANY KIND. No author or distributor
# accepts any responsibility for the consequences of using it, or for whether
# it serves any particular purpose or works at all, unless he or she says so
# in writing. Refer to the GNU General Public License (the "License") for
# full details. 
#
# Module name   : Wordsplit.pm
# Version       : 1.00
# Purpose       : Word splitter module.
# Date          : 2002-11-28
# Updates       : 1.00 First release. (2002-11-28)
# Notes         : -
#
#=============================================================================

use strict;
use locale;

BEGIN {
    use Exporter   ();
    use vars       qw ($VERSION @ISA);
    $VERSION     = do {
        my @r = q$Revision: 1.00 $=~/\d+/g;sprintf '%d.'.'%02d'x$#r,@r
    };
    @ISA         = qw (Exporter);
};




sub new {
    my ($proto) = shift;
    my (%param) = @_;
    my ($class) = ref ($proto) || $proto;
    my ($self)  = {};

    bless ($self, $class);

    $self -> init ();

    return $self;
};




sub split {
    my ($self)   = shift;
    my ($phrase) = shift;

    return split (/[\s\+\|\;\&\,\"]/, lc ($phrase));
};




sub strip_junk {
    my ($self)    = shift;
    my ($keyword) = shift;

    $keyword =~ s/^[\-\+\"\ \[\(\']+//g;
    $keyword =~ s/[\-\+\"\ \,\]\)\'\?]+$//g;

    return $keyword;
};



sub init {
    my ($self) = shift;

    # print ("Moro!\n");
};




1;
